/*
 * Status SIP Controller
 */
app.controller('StatusSipController', ['$http',
                                    function ($http) {
    var ctrl = this;

    ctrl.getSIPStatus = function() {
        $http({
            method: 'GET',
            url: '/api/status/sip'
        }).then(function(response) {
            // First function handles success
            ctrl.sip = response.data;
            ctrl.sip.sas_state = response.data.sas_state == "enabled";
        }, function(response) {
            // Second function handles error
        });
    };

    ctrl.getSIPStatus();
}]);
